Bug 116178 - New Port: x11-wm/nickleby
Summary: New Port: x11-wm/nickleby
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-07 15:30 UTC by jimmy
Modified: 2007-09-10 13:30 UTC (History)
0 users

See Also:


Attachments
nickleby.sh (1.77 KB, text/plain)
2007-09-07 15:30 UTC, jimmy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jimmy 2007-09-07 15:30:01 UTC

    
Comment 1 Thomas Abthorpe freebsd_committer 2007-09-07 15:37:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 Thomas Abthorpe freebsd_committer 2007-09-07 16:32:24 UTC
Hey Jimmy

There was a small issue with your submission, 
http://www.goodking.ca/tb/index.php?action=describe_port&id=654

I had to add to set USE_X11=yes in the Makefile to get it to work. Checkout 
http://www.goodking.ca/ports/x11-wm/nickleby/Makefile, and let me know if you 
agree with the change.


Thomas

-- 
Thomas Abthorpe		| FreeBSD Ports Committer
tabthorpe@FreeBSD.org	| http://people.freebsd.org/~tabthorpe
Comment 3 Thomas Abthorpe freebsd_committer 2007-09-07 16:36:11 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 4 jimmy 2007-09-09 15:43:34 UTC
New checksums due to new distfile and new Makefile
--

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       nickleby
#       nickleby/Makefile
#       nickleby/distinfo
#       nickleby/pkg-descr
#
echo c - nickleby
mkdir -p nickleby > /dev/null 2>&1
echo x - nickleby/Makefile
sed 's/^X//' >nickleby/Makefile << 'END-of-nickleby/Makefile'
X# New ports collection makefile for:  nickleby
X# Date created:                       Fri, 07 Sep 2007 22:47:06 EDT
X# Whom:                               James Bailie <jimmy@mammothcheese.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      nickleby
XPORTVERSION=   1.41
XCATEGORIES=    x11-wm
XMASTER_SITES=  http://www.mammothcheese.ca/
X
XMAINTAINER=    jimmy@mammothcheese.ca
XCOMMENT=       Simple window manager
X
XUSE_XLIB=      yes
XMAN1=          nickleby.1
XMANCOMPRESSED= yes
X
XPLIST_FILES=   bin/nickleby
X
X.include <bsd.port.mk>
END-of-nickleby/Makefile
echo x - nickleby/distinfo
sed 's/^X//' >nickleby/distinfo << 'END-of-nickleby/distinfo'
XMD5 (nickleby-1.41.tar.gz) = ce94d9f63a2bbf00f05275897e892b2d
XSHA256 (nickleby-1.41.tar.gz) = 
ae26333a279ee53250e48cc506325a1c5afec0b7c22fd1d
d1373be3bced5be3a
XSIZE (nickleby-1.41.tar.gz) = 11228
END-of-nickleby/distinfo
echo x - nickleby/pkg-descr
sed 's/^X//' >nickleby/pkg-descr << 'END-of-nickleby/pkg-descr'
XNickleby is a window manager for those of us who live our lives inside
Xxterms.  It has no menus and creates minimal window decoration.  Nickleby
Xis intended for use with monitors large enough, with enough resolution, the
Xuser has no need for virtual desktops.
X
XWWW: http://www.mammothcheese.ca/munger.html
X
X--
XJames Bailie <jimmy@mammothcheese.ca>
Xhttp://www.mammothcheese.ca
END-of-nickleby/pkg-descr
exit
Comment 5 dfilter service freebsd_committer 2007-09-10 13:27:49 UTC
tabthorpe    2007-09-10 12:27:42 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm               Makefile 
  Added files:
    x11-wm/nickleby      Makefile distinfo pkg-descr 
  Log:
  Nickleby is a window manager for those of us who live our lives inside
  xterms.  It has no menus and creates minimal window decoration.  Nickleby
  is intended for use with monitors large enough, with enough resolution, the
  user has no need for virtual desktops.
  
  WWW: http://www.mammothcheese.ca/munger.html
  
  --
  James Bailie <jimmy@mammothcheese.ca>
  http://www.mammothcheese.ca
  
  PR:             ports/116178
  Submitted by:   James Bailie <jimmy at mammothcheese.ca>
  
  Revision  Changes    Path
  1.205     +1 -0      ports/x11-wm/Makefile
  1.1       +22 -0     ports/x11-wm/nickleby/Makefile (new)
  1.1       +3 -0      ports/x11-wm/nickleby/distinfo (new)
  1.1       +10 -0     ports/x11-wm/nickleby/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Thomas Abthorpe freebsd_committer 2007-09-10 13:29:57 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!